Skip site navigation (1) Skip section navigation (2)

patch for src/backends/catalog/genbki.sh.in

From: Achim Gottinger <achim(dot)gottinger(at)gottinger(dot)de>
To: pgsql-patches(at)postgresql(dot)org
Subject: patch for src/backends/catalog/genbki.sh.in
Date: 2001-01-26 15:54:52
Message-ID: 3A719DCC.35E3A6A7@gottinger.de (view raw or flat)
Thread:
Lists: pgsql-patches
Hi,

I attached a patch to that mail that is required if you use sed 3.02.80
instead of 3.08.
Sed now treats \n as an escape sequence. Old sed ignored the \ so this
patch removes the \.
This issue occures in postgres-7.0.3 and 7.1-beta3 and leads to a
segfault or error in initdb because
global1.bki.source and local1_template1.bki.source are generated wrong (
ame instead of name ).

Bye Achim

Attachment: genbki.sh.in.diff
Description: text/plain (357 bytes)

Responses

pgsql-patches by date

Next:From: Jason SchroederDate: 2001-01-26 22:38:32
Subject: configure.in patch for readline and curses.
Previous:From: Bruce MomjianDate: 2001-01-26 02:55:06
Subject: Re: [PATCHES] Additional ODBC patch

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group